/**
ref: http://www.htmlgoodies.com/beyond/javascript/js-ref/testing-dom-events-using-jquery-and-jasmine-2.0.html
*/

describe('Menu', function() {
	beforeEach(function() {
		jasmine.getFixtures().clearCache()

		var f = jasmine.getFixtures();
		f.fixturesPath = 'base/test/fixtures';
		f.load('menu.html');
		$.holdReady(false);
	});

	afterEach(function() {
		var f = jasmine.getFixtures();
		f.cleanUp();
		f.clearCache();
	});

	it('should be defined', function() {
		expect(window.app.components.menu.init).toBeDefined()
	});

	it('should show the submenu on hover', function() {
		var $a = $(".sub").eq(0).parent().children("a");
		$a.trigger("mouseenter");
		expect($(".sub").eq(0)).toBeMatchedBy('.show');
	});
});
